Xalan-Java 2.7.1: Class SAXImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SAXImpl

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators
                        |
                        +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM
                              |
                              +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2
                                    |
                                    +--org.apache.xalan.xsltc.dom.SAXImpl

public final class SAXImpl
extends SAX2DTM2
implements DOMEnhancedForDTM, DOMBuilder

SAXImpl is the core model for SAX input source. SAXImpl objects are usually created from an XSLTCDTMManager.

DOMSource inputs are handled using DOM2SAX + SAXImpl. SAXImpl has a few specific fields (e.g. _node2Ids, _document) to keep DOM-related information. They are used when the processing behavior between DOM and SAX has to be different. Examples of these include id function and unparsed entity.

SAXImpl extends SAX2DTM2 instead of SAX2DTM for better performance.

Inner Class Summary
`class` | `SAXImpl.NamespaceAttributeIterator` Iterator that returns attributes within a given namespace for a node.
`class` | `SAXImpl.NamespaceChildrenIterator` Iterator that returns children within a given namespace for a given node.
`class` | `SAXImpl.NamespaceWildcardIterator` Iterator that handles node tests that test for a namespace, but have a wild card for the local name of the node, i.e., node tests of the form :::*
`class` | `SAXImpl.TypedNamespaceIterator` Iterator that returns the namespace nodes as defined by the XPath data model for a given node, filtered by extended type ID.

Inner classes inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2
`SAX2DTM2.AncestorIterator, SAX2DTM2.AttributeIterator, SAX2DTM2.ChildrenIterator, SAX2DTM2.DescendantIterator, SAX2DTM2.FollowingIterator, SAX2DTM2.FollowingSiblingIterator, SAX2DTM2.ParentIterator, SAX2DTM2.PrecedingIterator, SAX2DTM2.PrecedingSiblingIterator, SAX2DTM2.TypedAncestorIterator, SAX2DTM2.TypedAttributeIterator, SAX2DTM2.TypedChildrenIterator, SAX2DTM2.TypedDescendantIterator, SAX2DTM2.TypedFollowingIterator, SAX2DTM2.TypedFollowingSiblingIterator, SAX2DTM2.TypedPrecedingIterator, SAX2DTM2.TypedPrecedingSiblingIterator, SAX2DTM2.TypedRootIterator, SAX2DTM2.TypedSingletonIterator`

Inner classes inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators
`DTMDefaultBaseIterators.AncestorIterator, DTMDefaultBaseIterators.AttributeIterator, DTMDefaultBaseIterators.ChildrenIterator, DTMDefaultBaseIterators.DescendantIterator, DTMDefaultBaseIterators.FollowingIterator, DTMDefaultBaseIterators.FollowingSiblingIterator, DTMDefaultBaseIterators.InternalAxisIteratorBase, DTMDefaultBaseIterators.NamespaceAttributeIterator, DTMDefaultBaseIterators.NamespaceChildrenIterator, DTMDefaultBaseIterators.NamespaceIterator, DTMDefaultBaseIterators.NthDescendantIterator, DTMDefaultBaseIterators.ParentIterator, DTMDefaultBaseIterators.PrecedingIterator, DTMDefaultBaseIterators.PrecedingSiblingIterator, DTMDefaultBaseIterators.RootIterator, DTMDefaultBaseIterators.SingletonIterator, DTMDefaultBaseIterators.TypedAncestorIterator, DTMDefaultBaseIterators.TypedAttributeIterator, DTMDefaultBaseIterators.TypedChildrenIterator, DTMDefaultBaseIterators.TypedDescendantIterator, DTMDefaultBaseIterators.TypedFollowingIterator, DTMDefaultBaseIterators.TypedFollowingSiblingIterator, DTMDefaultBaseIterators.TypedNamespaceIterator, DTMDefaultBaseIterators.TypedPrecedingIterator, DTMDefaultBaseIterators.TypedPrecedingSiblingIterator, DTMDefaultBaseIterators.TypedRootIterator, DTMDefaultBaseIterators.TypedSingletonIterator`

Fields inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`DEFAULT_BLOCKSIZE, DEFAULT_NUMBLOCKS, DEFAULT_NUMBLOCKS_SMALL, m_mgr, ROOTNODE`

Constructor Summary
`SAXImpl(XSLTCDTMManager mgr, Source source, int dtmIdentity, DTMWSFilter whiteSpaceFilter, XMLStringFactory xstringfactory, boolean doIndexing, boolean buildIdIndex)` Construct a SAXImpl object using the default block size.
`SAXImpl(XSLTCDTMManager mgr, Source source, int dtmIdentity, DTMWSFilter whiteSpaceFilter, XMLStringFactory xstringfactory, boolean doIndexing, int blocksize, boolean buildIdIndex, boolean newNameTable)` Construct a SAXImpl object using the given block size.

Method Summary
`void` | `characters(char[] ch, int start, int length)` SAX2: Receive notification of character data.
`void` | `characters(int node, SerializationHandler handler)` Copy the string value of a node directly to an output handler
`void` | `comment(char[] ch, int start, int length)` SAX2: Report an XML comment anywhere in the document.
`void` | `copy(DTMAxisIterator nodes, SerializationHandler handler)` Copy a node-set to an output handler
`void` | `copy(int node, SerializationHandler handler)` Performs a deep copy (ref.
`void` | `copy(SerializationHandler handler)` Copy the whole tree to an output handler
`void` | `endDocument()` SAX2: Receive notification of the end of a document.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qname)` SAX2: Receive notification of the end of an element.
`int` | `getAttributeNode(int type, int element)` Returns the attribute node of a given type (if any) for an element
`java.lang.String` | `getAttributeValue(int type, int element)` Returns the value of a given attribute type of a given element
`java.lang.String` | `getAttributeValue(java.lang.String name, int element)` This method is for testing/debugging only
`DTMAxisIterator` | `getAxisIterator(int axis)` This is a shortcut to the iterators that implement the supported XPath axes (only namespace::) is not supported.
`DOMBuilder` | `getBuilder()` Returns an instance of the DOMBuilder inner class This class will consume the input document through a SAX2 interface and populate the tree.
`DTMAxisIterator` | `getChildren(int node)` Returns an iterator with all the children of a given node
`java.lang.String` | `getDocumentURI()` Returns the origin of the document from which the tree was built
`java.lang.String` | `getDocumentURI(int node)`
`int` | `getElementById(java.lang.String idString)` Return the node identity for a given id String
`Hashtable` | `getElementsWithIDs()` %HZ% Need Javadoc
`int` | `getGeneralizedType(java.lang.String name)` Returns the internal type associated with an expanded QName
`int` | `getGeneralizedType(java.lang.String name, boolean searchOnly)` Returns the internal type associated with an expanded QName
`DTMAxisIterator` | `getIterator()` Returns singleton iterator containg the document root Works for them main document (mark == 0).
`java.lang.String` | `getLanguage(int node)` Returns a node' defined language for a node (if any)
`short[]` | `getMapping(java.lang.String[] names, java.lang.String[] uris, int[] types)` Get mapping from DOM element/attribute types to external types
`DTMAxisIterator` | `getNamespaceAxisIterator(int axis, int ns)` Do not think that this returns an iterator for the namespace axis.
`short[]` | `getNamespaceMapping(java.lang.String[] namespaces)` Get mapping from DOM namespace types to external namespace types
`java.lang.String` | `getNamespaceName(int node)` Returns the namespace URI to which a node belongs
`int` | `getNamespaceType(int node)` Returns the namespace type of a specific node
`java.lang.String` | `getNodeName(int node)` Returns the name of a node (attribute or element).
`DTMAxisIterator` | `getNodeValueIterator(DTMAxisIterator iterator, int type, java.lang.String value, boolean op)`
`int` | `getNSType(int node)` Get mapping from DOM namespace types to external namespace types
`DTMAxisIterator` | `getNthDescendant(int type, int n, boolean includeself)` Returns the nth descendant of a node
`SerializationHandler` | `getOutputDomBuilder()` Return a SerializationHandler for output handling.
`DOM` | `getResultTreeFrag(int initSize, int rtfType)` Return a instance of a DOM class to be used as an RTF
`DOM` | `getResultTreeFrag(int initSize, int rtfType, boolean addToManager)` Return a instance of a DOM class to be used as an RTF
`int[]` | `getReverseMapping(java.lang.String[] names, java.lang.String[] uris, int[] types)` Get mapping from external element/attribute types to DOM types
`short[]` | `getReverseNamespaceMapping(java.lang.String[] namespaces)` Get mapping from external namespace types to DOM namespace types
`int` | `getSize()` Returns the number of nodes in the tree (used for indexing)
`DTMAxisIterator` | `getTypedAxisIterator(int axis, int type)` Similar to getAxisIterator, but this one returns an iterator containing nodes of a typed axis (ex.: child::foo)
`DTMAxisIterator` | `getTypedChildren(int type)` Returns an iterator with all children of a specific type for a given node (element)
`DTMAxisIterator` | `getTypedDescendantIterator(int type)` Returns an iterator with all descendants of a node that are of a given type.
`java.lang.String` | `getUnparsedEntityURI(java.lang.String name)` The getUnparsedEntityURI function returns the URI of the unparsed entity with the specified name in the same document as the context node (see [3.3 Unparsed Entities]).
`boolean` | `hasDOMSource()` Return true if the input source is DOMSource.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` SAX2: Receive notification of ignorable whitespace in element content.
`boolean` | `isAttribute(int node)` Returns 'true' if a specific node is an attribute (of any type)
`boolean` | `isElement(int node)` Returns 'true' if a specific node is an element (of any type)
`boolean` | `lessThan(int node1, int node2)` Returns true if node1 comes before node2 in document order
`java.lang.String` | `lookupNamespace(int node, java.lang.String prefix)` Lookup a namespace URI from a prefix starting at node.
`Node` | `makeNode(DTMAxisIterator iter)` Create an org.w3c.dom.Node from a node in an iterator The iterator most be started before this method is called
`Node` | `makeNode(int index)` Create an org.w3c.dom.Node from a node in the tree
`NodeList` | `makeNodeList(DTMAxisIterator iter)` Create an org.w3c.dom.NodeList from a node iterator The iterator most be started before this method is called
`NodeList` | `makeNodeList(int index)` Create an org.w3c.dom.NodeList from a node in the tree
`void` | `migrateTo(DTMManager manager)` Migrate a DTM built with an old DTMManager to a new DTMManager.
`DTMAxisIterator` | `orderNodes(DTMAxisIterator source, int node)` Encapsulates an iterator in an OrderedIterator to ensure node order
`void` | `print(int node, int level)` Prints the whole tree to standard output
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` SAX2: Receive notification of a processing instruction.
`void` | `setDocumentURI(java.lang.String uri)` Define the origin of the document from which the tree was built
`boolean` | `setEscaping(boolean value)`
`void` | `setFilter(StripFilter filter)` Part of the DOM interface - no function here.
`void` | `setupMapping(java.lang.String[] names, java.lang.String[] urisArray, int[] typesArray, java.lang.String[] namespaces)`
`java.lang.String` | `shallowCopy(int node, SerializationHandler handler)` Performs a shallow copy (ref.
`void` | `startDocument()` SAX2: Receive notification of the beginning of a document.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qname, Attributes attributes)` SAX2: Receive notification of the beginning of an element.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qname, Attributes attributes, Node node)` Specialized interface used by DOM2SAX.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` SAX2: Begin the scope of a prefix-URI Namespace mapping.

Methods inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2
`_exptype, _exptype2, _exptype2Type, _firstch2, _nextsib2, _parent2, _type2, dispatchCharactersEvents, getExpandedTypeID2, getFirstAttribute, getIdForNamespace, getLocalName, getNodeNameX, getNodeValue, getStringValue, getStringValue, getStringValueX`

Methods inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM
`attributeDecl, clearCoRoutine, clearCoRoutine, dispatchToEvents, elementDecl, endCDATA, endDTD, endEntity, endPrefixMapping, error, externalEntityDecl, fatalError, getAttributeNode, getContentHandler, getDeclHandler, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDTDHandler, getEntityResolver, getErrorHandler, getFixedNames, getLexicalHandler, getNamespaceURI, getNamespaceURI, getNumberOfNodes, getPrefix, getPrefix, getSourceLocatorFor, internalEntityDecl, isAttributeSpecified, isWhitespace, needsTwoThreads, notationDecl, resolveEntity, setDocumentLocator, setIDAttribute, setIncrementalSAXSource, setProperty, setUseSourceLocation, skippedEntity, startCDATA, startDTD, startEntity, unparsedEntityDecl, warning`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
`getAxisTraverser`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`appendChild, appendTextChild, documentRegistration, documentRelease, dumpDTM, dumpNode, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentRoot, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentVersion, getDTMIDs, getExpandedTypeID, getExpandedTypeID, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLocalNameFromExpandedNameID, getManager, getNamespaceFromExpandedNameID, getNextAttribute, getNextNamespaceNode, getNextSibling, getNode, getNodeHandle, getNodeIdent, getNodeType, getOwnerDocument, getParent, getPreviousSibling, getStringValueChunk, getStringValueChunkCount, getTypedFirstChild, getTypedNextSibling, hasChildNodes, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, makeNodeHandle, makeNodeIdentity, setDocumentBaseURI, setFeature, supportsPreStripping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXImpl

    public SAXImpl(XSLTCDTMManager mgr,
                   Source source,
                   int dtmIdentity,
                   DTMWSFilter whiteSpaceFilter,
                   XMLStringFactory xstringfactory,
                   boolean doIndexing,
                   boolean buildIdIndex)

  Construct a SAXImpl object using the default block size.

### SAXImpl

    public SAXImpl(XSLTCDTMManager mgr,
                   Source source,
                   int dtmIdentity,
                   DTMWSFilter whiteSpaceFilter,
                   XMLStringFactory xstringfactory,
                   boolean doIndexing,
                   int blocksize,
                   boolean buildIdIndex,
                   boolean newNameTable)

  Construct a SAXImpl object using the given block size.

Method Detail

### setDocumentURI

    public void setDocumentURI(java.lang.String uri)

  Define the origin of the document from which the tree was built
  Specified by:
    setDocumentURI in interface DOMEnhancedForDTM

### getDocumentURI

    public java.lang.String getDocumentURI()

  Returns the origin of the document from which the tree was built
  Specified by:
    getDocumentURI in interface DOMEnhancedForDTM

### getDocumentURI

    public java.lang.String getDocumentURI(int node)

### setupMapping

    public void setupMapping(java.lang.String[] names,
                             java.lang.String[] urisArray,
                             int[] typesArray,
                             java.lang.String[] namespaces)

### lookupNamespace

    public java.lang.String lookupNamespace(int node,
                                            java.lang.String prefix)
                                     throws TransletException

  Lookup a namespace URI from a prefix starting at node. This method is used in the execution of xsl:element when the prefix is not known at compile time.

### isElement

    public boolean isElement(int node)

  Returns 'true' if a specific node is an element (of any type)

### isAttribute

    public boolean isAttribute(int node)

  Returns 'true' if a specific node is an attribute (of any type)

### getSize

    public int getSize()

  Returns the number of nodes in the tree (used for indexing)

### setFilter

    public void setFilter(StripFilter filter)

  Part of the DOM interface - no function here.

### lessThan

    public boolean lessThan(int node1,
                            int node2)

  Returns true if node1 comes before node2 in document order

### makeNode

    public Node makeNode(int index)

  Create an org.w3c.dom.Node from a node in the tree

### makeNode

    public Node makeNode(DTMAxisIterator iter)

  Create an org.w3c.dom.Node from a node in an iterator The iterator most be started before this method is called

### makeNodeList

    public NodeList makeNodeList(int index)

  Create an org.w3c.dom.NodeList from a node in the tree

### makeNodeList

    public NodeList makeNodeList(DTMAxisIterator iter)

  Create an org.w3c.dom.NodeList from a node iterator The iterator most be started before this method is called

### getNodeValueIterator

    public DTMAxisIterator getNodeValueIterator(DTMAxisIterator iterator,
                                                int type,
                                                java.lang.String value,
                                                boolean op)

### orderNodes

    public DTMAxisIterator orderNodes(DTMAxisIterator source,
                                      int node)

  Encapsulates an iterator in an OrderedIterator to ensure node order

### getIterator

    public DTMAxisIterator getIterator()

  Returns singleton iterator containg the document root Works for them main document (mark == 0). It cannot be made to point to any other node through setStartNode().

### getNSType

    public int getNSType(int node)

  Get mapping from DOM namespace types to external namespace types

### getNamespaceType

    public int getNamespaceType(int node)

  Returns the namespace type of a specific node
  Overrides:
    getNamespaceType in class DTMDefaultBase

### getGeneralizedType

    public int getGeneralizedType(java.lang.String name)

  Returns the internal type associated with an expanded QName

### getGeneralizedType

    public int getGeneralizedType(java.lang.String name,
                                  boolean searchOnly)

  Returns the internal type associated with an expanded QName

### getMapping

    public short[] getMapping(java.lang.String[] names,
                              java.lang.String[] uris,
                              int[] types)

  Get mapping from DOM element/attribute types to external types
  Specified by:
    getMapping in interface DOMEnhancedForDTM

### getReverseMapping

    public int[] getReverseMapping(java.lang.String[] names,
                                   java.lang.String[] uris,
                                   int[] types)

  Get mapping from external element/attribute types to DOM types
  Specified by:
    getReverseMapping in interface DOMEnhancedForDTM

### getNamespaceMapping

    public short[] getNamespaceMapping(java.lang.String[] namespaces)

  Get mapping from DOM namespace types to external namespace types
  Specified by:
    getNamespaceMapping in interface DOMEnhancedForDTM

### getReverseNamespaceMapping

    public short[] getReverseNamespaceMapping(java.lang.String[] namespaces)

  Get mapping from external namespace types to DOM namespace types
  Specified by:
    getReverseNamespaceMapping in interface DOMEnhancedForDTM

### migrateTo

    public void migrateTo(DTMManager manager)

  Migrate a DTM built with an old DTMManager to a new DTMManager. After the migration, the new DTMManager will treat the DTM as one that is built by itself. This is used to support DTM sharing between multiple transformations.
  Parameters:
    `manager` - the DTMManager
  Overrides:
    migrateTo in class SAX2DTM

### getElementById

    public int getElementById(java.lang.String idString)

  Return the node identity for a given id String
  Specified by:
    getElementById in interface DOMEnhancedForDTM
  Parameters:
    `idString` - The id String
  Returns:
    The identity of the node whose id is the given String.
  Overrides:
    getElementById in class SAX2DTM

### hasDOMSource

    public boolean hasDOMSource()

  Return true if the input source is DOMSource.
  Specified by:
    hasDOMSource in interface DOMEnhancedForDTM

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  SAX2: Receive notification of character data.
  Overrides:
    characters in class SAX2DTM

### startDocument

    public void startDocument()
                       throws SAXException

  SAX2: Receive notification of the beginning of a document.
  Overrides:
    startDocument in class SAX2DTM2

### endDocument

    public void endDocument()
                     throws SAXException

  SAX2: Receive notification of the end of a document.
  Overrides:
    endDocument in class SAX2DTM2

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qname,
                             Attributes attributes,
                             Node node)
                      throws SAXException

  Specialized interface used by DOM2SAX. This one has an extra Node parameter to build the Node -> id map.

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qname,
                             Attributes attributes)
                      throws SAXException

  SAX2: Receive notification of the beginning of an element.
  Overrides:
    startElement in class SAX2DTM2

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qname)
                    throws SAXException

  SAX2: Receive notification of the end of an element.
  Overrides:
    endElement in class SAX2DTM2

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws SAXException

  SAX2: Receive notification of a processing instruction.
  Overrides:
    processingInstruction in class SAX2DTM2

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  SAX2: Receive notification of ignorable whitespace in element content. Similar to characters(char[], int, int).
  Overrides:
    ignorableWhitespace in class SAX2DTM

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws SAXException

  SAX2: Begin the scope of a prefix-URI Namespace mapping.
  Overrides:
    startPrefixMapping in class SAX2DTM

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  SAX2: Report an XML comment anywhere in the document.
  Overrides:
    comment in class SAX2DTM2

### setEscaping

    public boolean setEscaping(boolean value)

### print

    public void print(int node,
                      int level)

  Prints the whole tree to standard output

### getNodeName

    public java.lang.String getNodeName(int node)

  Returns the name of a node (attribute or element).
  Overrides:
    getNodeName in class SAX2DTM2

### getNamespaceName

    public java.lang.String getNamespaceName(int node)

  Returns the namespace URI to which a node belongs

### getAttributeNode

    public int getAttributeNode(int type,
                                int element)

  Returns the attribute node of a given type (if any) for an element

### getAttributeValue

    public java.lang.String getAttributeValue(int type,
                                              int element)

  Returns the value of a given attribute type of a given element

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String name,
                                              int element)

  This method is for testing/debugging only

### getChildren

    public DTMAxisIterator getChildren(int node)

  Returns an iterator with all the children of a given node

### getTypedChildren

    public DTMAxisIterator getTypedChildren(int type)

  Returns an iterator with all children of a specific type for a given node (element)

### getAxisIterator

    public DTMAxisIterator getAxisIterator(int axis)

  This is a shortcut to the iterators that implement the supported XPath axes (only namespace::) is not supported. Returns a bare-bones iterator that must be initialized with a start node (using iterator.setStartNode()).
  Overrides:
    getAxisIterator in class DTMDefaultBaseIterators

### getTypedAxisIterator

    public DTMAxisIterator getTypedAxisIterator(int axis,
                                                int type)

  Similar to getAxisIterator, but this one returns an iterator containing nodes of a typed axis (ex.: child::foo)
  Overrides:
    getTypedAxisIterator in class DTMDefaultBaseIterators

### getNamespaceAxisIterator

    public DTMAxisIterator getNamespaceAxisIterator(int axis,
                                                    int ns)

  Do not think that this returns an iterator for the namespace axis. It returns an iterator with nodes that belong in a certain namespace, such as with The 'axis' specifies the axis for the base iterator from which the nodes are taken, while 'ns' specifies the namespace URI type.

### getTypedDescendantIterator

    public DTMAxisIterator getTypedDescendantIterator(int type)

  Returns an iterator with all descendants of a node that are of a given type.

### getNthDescendant

    public DTMAxisIterator getNthDescendant(int type,
                                            int n,
                                            boolean includeself)

  Returns the nth descendant of a node

### characters

    public void characters(int node,
                           SerializationHandler handler)
                    throws TransletException

  Copy the string value of a node directly to an output handler

### copy

    public void copy(DTMAxisIterator nodes,
                     SerializationHandler handler)
              throws TransletException

  Copy a node-set to an output handler

### copy

    public void copy(SerializationHandler handler)
              throws TransletException

  Copy the whole tree to an output handler

### copy

    public void copy(int node,
                     SerializationHandler handler)
              throws TransletException

  Performs a deep copy (ref. XSLs copy-of()) TODO: Copy namespace declarations. Can't be done until we add namespace nodes and keep track of NS prefixes TODO: Copy comment nodes

### shallowCopy

    public java.lang.String shallowCopy(int node,
                                        SerializationHandler handler)
                                 throws TransletException

  Performs a shallow copy (ref. XSLs copy())

### getLanguage

    public java.lang.String getLanguage(int node)

  Returns a node' defined language for a node (if any)

### getBuilder

    public DOMBuilder getBuilder()

  Returns an instance of the DOMBuilder inner class This class will consume the input document through a SAX2 interface and populate the tree.

### getOutputDomBuilder

    public SerializationHandler getOutputDomBuilder()

  Return a SerializationHandler for output handling. This method is used by Result Tree Fragments.

### getResultTreeFrag

    public DOM getResultTreeFrag(int initSize,
                                 int rtfType)

  Return a instance of a DOM class to be used as an RTF

### getResultTreeFrag

    public DOM getResultTreeFrag(int initSize,
                                 int rtfType,
                                 boolean addToManager)

  Return a instance of a DOM class to be used as an RTF
  Parameters:
    `initSize` - The initial size of the DOM.
    `rtfType` - The type of the RTF
    `addToManager` - true if the RTF should be registered with the DTMManager.
  Returns:
    The DOM object which represents the RTF.

### getElementsWithIDs

    public Hashtable getElementsWithIDs()

  %HZ% Need Javadoc

### getUnparsedEntityURI

    public java.lang.String getUnparsedEntityURI(java.lang.String name)

  The getUnparsedEntityURI function returns the URI of the unparsed entity with the specified name in the same document as the context node (see [3.3 Unparsed Entities]). It returns the empty string if there is no such entity.
  Overrides:
    getUnparsedEntityURI in class SAX2DTM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.